net.sf.statsvn.util.svnkit

## Class SvnKitInfo.SvnKitInfoHandler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - net.sf.statsvn.util.SvnInfoUtils.SvnInfoHandler
    - - net.sf.statsvn.util.svnkit.SvnKitInfo.SvnKitInfoHandler

- All Implemented Interfaces:
    org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler
  Enclosing class:
    SvnKitInfo

      protected static class SvnKitInfo.SvnKitInfoHandler
      extends SvnInfoUtils.SvnInfoHandler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SvnKitInfo.SvnKitInfoHandler(SvnInfoUtils infoUtils)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `isRootFolder(org.xml.sax.Attributes attributes)` Is this the root of the workspace?

    - ### Methods inherited from class net.sf.statsvn.util.SvnInfoUtils.SvnInfoHandler

      `characters, endElement, getInfoUtils, isValidCommit, isValidInfoEntry, startElement`

    - ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

      `endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SvnKitInfo.SvnKitInfoHandler

          public SvnKitInfo.SvnKitInfoHandler(SvnInfoUtils infoUtils)

  - ### Method Detail

    - #### isRootFolder

          protected boolean isRootFolder(org.xml.sax.Attributes attributes)

      Description copied from class: `SvnInfoUtils.SvnInfoHandler`
      Is this the root of the workspace?
      Overrides:
        `isRootFolder` in class `SvnInfoUtils.SvnInfoHandler`
      Parameters:
        `attributes` - the xml attributes
      Returns:
        true if is the root folder.